
Redmine - Defect #34283
Target version:    

Resolution:  Affected version: 4.1.1

Description

Code / preformatted text within (for example) the Description renders correctly on the Issue Detail screen, but not when the

Description field is displayed on the Issue list screen. Problem occurs with both Markdown & Textile on both my own test installation 

as well as Redmine.org.

For example the following will be incorrectly displayed in the Issue List on one line:

line 1

   Indented line 2

      Further indented line 3

   Indented line 4

Line 5

 And the following code block from the Redmine Textile Guide will display each word of code on its own line:

# The Greeter class - Ruby

class Greeter

  def initialize(name)

    @name = name.capitalize

  end

  def salute

    puts "Hello #{@name}!" 

  end

end

 A screenshot of how it renders in my Issue List is attached. The first example looks like a CSS problem. This is using Textile and the

Default theme.

My Environment:

Redmine version 4.1.1.stable

Ruby version 2.5.1-p57 (2018-03-29) [x86_64-linux-gnu]

Rails version 5.2.4.2

Environment production

Database adapter PostgreSQL

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery smtp

SCM:

Mercurial 4.5.3

Git 2.17.1

Filesystem

Redmine plugins:

redmine_env_auth 1.1

redmine_language_change 0.1.0

redmine_wiki_lists 0.0.9

History

#1 - 2020-11-18 10:27 - Andrew Mo

2025-05-09 1/2



- File Example-Redmine_org.png added

So I've confirmed it also renders wrongly on Redmine.org, though the code example renders differently to our test site. Attached is how it looks in the

Issues List on Redmine.org

#2 - 2020-12-06 05:24 - Go MAEDA

Andrew Mould wrote:

So I've confirmed it also renders wrongly on Redmine.org, though the code example renders differently to our test site. Attached is how it looks

in the Issues List on Redmine.org

 Could you post the URL of redmine.org? I could not find the page that rendered incorrectly on www.redmine.org.

#3 - 2020-12-14 09:51 - Andrew Mo

Sorry, completely missed the notification. This very Issue will render incorrectly in the Issue List. Here's a link to demonstrate it:

https://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=subject

&op%5Bsubject%5D=%7E&v%5Bsubject%5D%5B%5D=Text+in+code&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c

%5B%5D=updated_on&c%5B%5D=category&group_by=&c%5B%5D=description

Compare the result with the layout on this Issue Detail screen:

#4 - 2020-12-20 10:04 - Go MAEDA

- Category changed from Text formatting to Issues list

Files

Example.png 14.9 KB 2020-11-18 Andrew Mo

Example-Redmine_org.png 9.73 KB 2020-11-18 Andrew Mo

Powered by TCPDF (www.tcpdf.org)

2025-05-09 2/2

http://www.redmine.org
https://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=subject&op%5Bsubject%5D=%7E&v%5Bsubject%5D%5B%5D=Text+in+code&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=&c%5B%5D=description
https://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=subject&op%5Bsubject%5D=%7E&v%5Bsubject%5D%5B%5D=Text+in+code&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=&c%5B%5D=description
https://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=subject&op%5Bsubject%5D=%7E&v%5Bsubject%5D%5B%5D=Text+in+code&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=&c%5B%5D=description
http://www.tcpdf.org

